; ======================= HFB 1.2 template file =======================

; Macros:
;   Links & alt texts:
;	AreaLink		- Link to (URL of) current area's
;		filelist (mainly for index)
;	AreaLinkPrevious	- Same of previous area, for first area
;		equals to AreaLinkIndex
;	AreaLinkPreviousALT	- Something associated with this link
;		(usualy text for button image's alt tag), will be
;		generated from previous area's data using FileListALT
;		template, for first area equals to AreaLinkIndexALT
;	AreaLinkNext		- Same for next area
;	AreaLinkNextALT		- --//--
; 	AreaLinkIndex		- Same for index (values would be taken
;		from initialization file)
;	AreaLinkIndexALT	- --//--
;   Data from area configuration file:
;	AreaNumber		- Sequental number of area
;	AreaName		- Name of area (usualy short,
;		abbreviative)
;	AreaComment		- Area's comment
;	AreaLevel		- Access level or class of area
;	AreaLevelText		- It's verbal representation
;   Data gathered during area scanning:
;	AreaTotalFiles		- Total number of files in area
;	AreaNewFiles		- Number of new files in area
;	AreaOfflineFiles	- Number of oflline files in area
;	AreaTotalFileSize	- Total size of all online files in area
;   Subarea data:
;	SubAreaName		- Name of subarea
;	SubAreaLink		- Anchor of subarea
;	SubAreaLinkPrevious	- Anchor of previous subarea
;	SubAreaLinkPreviousALT	- Name of previous subarea
;	SubAreaLinkNext		- Anchor of next subarea
;	SubAreaLinkNextALT	- Name of next subarea
;   Index data:
;	IndexTotalAreas		- Total number of areas
;	IndexNewFiles           - Total number of files in all areas
;	IndexOfflineFiles       - Number of new files in all areas
;	IndexTotalFiles         - Number of oflline files in all areas
;	IndexTotalFileSize      - Total size of all online files in all
;		areas

; ------------------------- Filelist template -------------------------

; Filelist header
%+Filelistheader%
<html>
<head>
	<title>Filelist of Noname Station - %AreaName% (%AreaComment%)</title>
	<meta http-equiv="Content-Type" content="text/html; charset=koi8-r">
	<link rel="stylesheet" href="filelist.css" type="text/css">
	<link rel="prev" href="%AreaLinkPrevious%">
	<link rel="next" href="%AreaLinkNext%">
	<link rel="contents" href="%AreaLinkIndex%">
</head>
<body>
%-%

; Area header
%+AreaHeader%
<a name="top"></a>
<table>
	<tr class=h>
		<td class=h>%AreaNumber%</td>
		<td colspan=2 class=h>%AreaName%</td>
		<td colspan=2 class=h>%AreaComment%</td>
		<td colspan=2 class=h><a href="%AreaLinkIndex%"><img src="/buttons/index.gif" alt="%AreaLinkIndexALT%"></a></td>
	</tr>
	<tr class=h>
		<td class=h><font size=-1>%AreaLevelText%</font></td>
		<td colspan=4 class=h>%AreaTotalFileSize% bytes in %AreaTotalFiles% files (%AreaNewFiles% new, %AreaOfflineFiles% offline)</td>
		<td><a href="%AreaLinkPrevious%"><img src="/buttons/back.gif" alt="%AreaLinkPreviousALT%"></a></td>
		<td><a href="%AreaLinkNext%"><img src="/buttons/forward.gif" alt="%AreaLinkNextALT%"></a></td>
	</tr>
%-%

; First subarea header
%+FirstSubAreaHeader%
	<tr class=sf>
		<th>Icon</th>
		<th>Name</th>
		<th>Size</th>
		<th>Date</th>
		<th>Description</th>
	</tr>
%-%

; Subarea header
%+SubAreaHeader%
	<a name="%SubAreaLink%"></a>
	<tr class=h>
		<td colspan=5 class=h>%SubAreaName%</td>
		<td><a href="#%SubAreaLinkPrevious%"><img src="/buttons/up.gif" alt="%SubAreaLinkPreviousAlt%"></a></td>
		<td><a href="#%SubAreaLinkNext%"><img src="/buttons/down.gif" alt="%SubAreaLinkNextALT%"></a></td>
	</tr>
%-%

; File entry
%+FileEntry%
	<tr class=%FileColor%>
		<td class=i><img src="%FileIcon%" alt="%FileIconALT%"></td>
		<td class=f><a href="%FileURL%">%FileName%</a></td>
		<td class=s>%FileSize%</td>
		<td class=t>%FileDate%</td>
		<td class=d>%FileDesc%</td>
	</tr>
%-%

; Offline file entry
%+OfflineFileEntry%
	<tr class=%FileColor%>
		<td class=i><img src="%FileIcon%" alt="%FileIconALT%"></td>
		<td class=f><a href="%FileURL%">%FileName%</a></td>
		<td class=t colspan=2>Offline</td>
		<td class=d>%FileDesc%</td>
		<td class=m colspan=2><img src="icons/lost.gif"></td>
	</tr>
%-%

; New file entry
%+FileNewEntry%
	<tr class=%FileColor%>
		<td class=i><img src="%FileIcon%" alt="%FileIconALT%"></td>
		<td class=f><a href="%FileURL%">%FileName%</a></td>
		<td class=s>%FileSize%</td>
		<td class=t>%FileDate%</td>
		<td class=d>%FileDesc%</td>
		<td class=m colspan=2><img src="icons/new.gif"></td>
	</tr>
%-%

; Subarea footer
%+SubAreaFooter%
%-%

; Area footer
%+AreaFooter%
	<tr>
		<td width=5%%></td>
		<td width=15%%></td>
		<td width=10%%></td>
		<td width=10%%></td>
		<td></td>
		<td width=4%%></td>
		<td width=4%%></td>
	</tr>
</table>
<a name="bottom"></a>
%-%

; Filelist footer
%+FilelistFooter%
</body>
</html>
%-%


; ------- Index (well, in fact it's table of contents) template -------
  
; Index page header
%+IndexPageHeader%
<html>
<head>
	<title>Filelist of Noname Station</title>
	<meta http-equiv="Content-Type" content="text/html; charset=koi8-r">
	<link rel="stylesheet" href="filelist.css" type="text/css">
        <style type="text/css">
	<!--
		tr.an	{ background: #E0E0E0 }
		tr.ar	{ background: #FFD0D0 }
		tr.ac	{ background: #F0E0E0 }
		tr.al	{ background: #E0F0E0 }
		tr.af	{ background: #E0E0F0 }
		th	{ color: white; background: black; text-align: center }
		th.r	{ text-align: right }
		td	{ text-align: right }
		td.l	{ text-align: left }
		td.c	{ text-align: center }
	-->
        </style>
</head>
<body>
%-%

; Index header
%+IndexHeader%
<table width=100%%>
	<tr>
		<th rowspan=2>N&deg;</td>
		<th rowspan=2>Area</td>
		<th rowspan=2>Comment</td>
		<th colspan=3>Files</td>
		<th rowspan=2>Size</td>
	</tr>
	<tr>
		<th>New</td>
		<th>Offline</td>
		<th>Total</td>
	</tr>
%-%

; Index entry
%+IndexEntry%
	<tr class=%AreaLevelColor%>
		<td class=c>%AreaNumber%</td>
		<td class=l><a href="%AreaLink%">%AreaName%</a></td>
		<td class=l>%AreaComment%</td>
		<td>%AreaNewFiles%</td>
		<td>%AreaOfflineFiles%</td>
		<td>%AreaTotalFiles%</td>
		<td>%AreaTotalFileSize%</td>
	</tr>
%-%

; Index page footer
%+IndexFooter%
	<tr>
		<th colspan=3 class=c>Totals of %IndexTotalAreas% area(s):</th>
		<th class=r>%IndexNewFiles%</th>
		<th class=r>%IndexOfflineFiles%</th>
		<th class=r>%IndexTotalFiles%</th>
		<th class=r>%IndexTotalFileSize%</th>
	</tr>
</table>
%-%

; Index page footer
%+IndexPageFooter%
</body>
</html>
%-%

; --------------------------- Miscellainous ---------------------------

; Date format for filelist
%+FileDate%
%Day%&nbsp;%MonthName%&nbsp;%Year%%-%

; Name for area's filelist
%+FileListName%
%AreaNumber,3,R,0%_%AreaName%.html%-%

; Comment for area's filelist
%+FileListALT%
%AreaComment%%-%

; ---------------------------------------------------------------------
